Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXDoc

    java.lang.Object
      org.basex.api.dom.BXNode
          org.basex.api.dom.BXDoc

All Implemented Interfaces:
  Document, Node

    public final class BXDoc

extends BXNode
implements Document

DOM - Document implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`BXDoc(Nod n)` Constructor.

Method Summary
`Node` | `adoptNode(Node source)`
`Attr` | `createAttribute(String nm)`
`Attr` | `createAttributeNS(String uri, String qn)`
`CDATASection` | `createCDATASection(String dat)`
`Comment` | `createComment(String dat)`
`DocumentFragment` | `createDocumentFragment()`
`Element` | `createElement(String nm)`
`Element` | `createElementNS(String uri, String qn)`
`EntityReference` | `createEntityReference(String name)`
`BXPI` | `createProcessingInstruction(String t, String dat)`
`Text` | `createTextNode(String dat)`
`DocumentType` | `getDoctype()`
`Element` | `getDocumentElement()`
`String` | `getDocumentURI()`
`DOMConfiguration` | `getDomConfig()`
`Element` | `getElementById(String elementId)`
`NodeList` | `getElementsByTagName(String name)`
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)`
`DOMImplementation` | `getImplementation()`
`String` | `getInputEncoding()`
`Document` | `getOwnerDocument()`
`boolean` | `getStrictErrorChecking()`
`String` | `getXmlEncoding()`
`boolean` | `getXmlStandalone()`
`String` | `getXmlVersion()`
`Node` | `importNode(Node importedNode, boolean deep)`
`void` | `normalizeDocument()`
`Node` | `renameNode(Node n, String namespaceURI, String qualifiedName)`
`void` | `setDocumentURI(String documentURI)`
`void` | `setStrictErrorChecking(boolean strictErrorChecking)`
`void` | `setXmlStandalone(boolean xmlStandalone)`
`void` | `setXmlVersion(String xmlVersion)`

Methods inherited from class org.basex.api.dom.BXNode
`appendChild, cloneNode, compareDocumentPosition, error, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNod, getNodeName, getNodeType, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### BXDoc

    public BXDoc(Nod n)

  Constructor.

  Parameters:
    `n` - node reference

Method Detail

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `Node`
  Overrides:
    `getOwnerDocument` in class `BXNode`

### adoptNode

    public Node adoptNode(Node source)

  Specified by:
    `adoptNode` in interface `Document`

### createAttribute

    public Attr createAttribute(String nm)

  Specified by:
    `createAttribute` in interface `Document`

### createAttributeNS

    public Attr createAttributeNS(String uri,
                                  String qn)

  Specified by:
    `createAttributeNS` in interface `Document`

### createCDATASection

    public CDATASection createCDATASection(String dat)

  Specified by:
    `createCDATASection` in interface `Document`

### createComment

    public Comment createComment(String dat)

  Specified by:
    `createComment` in interface `Document`

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

  Specified by:
    `createDocumentFragment` in interface `Document`

### createElement

    public Element createElement(String nm)

  Specified by:
    `createElement` in interface `Document`

### createElementNS

    public Element createElementNS(String uri,
                                   String qn)

  Specified by:
    `createElementNS` in interface `Document`

### createEntityReference

    public EntityReference createEntityReference(String name)

  Specified by:
    `createEntityReference` in interface `Document`

### createProcessingInstruction

    public BXPI createProcessingInstruction(String t,
                                            String dat)

  Specified by:
    `createProcessingInstruction` in interface `Document`

### createTextNode

    public Text createTextNode(String dat)

  Specified by:
    `createTextNode` in interface `Document`

### getDoctype

    public DocumentType getDoctype()

  Specified by:
    `getDoctype` in interface `Document`

### getDocumentElement

    public Element getDocumentElement()

  Specified by:
    `getDocumentElement` in interface `Document`

### getDocumentURI

    public String getDocumentURI()

  Specified by:
    `getDocumentURI` in interface `Document`

### getDomConfig

    public DOMConfiguration getDomConfig()

  Specified by:
    `getDomConfig` in interface `Document`

### getElementById

    public Element getElementById(String elementId)

  Specified by:
    `getElementById` in interface `Document`

### getElementsByTagName

    public NodeList getElementsByTagName(String name)

  Specified by:
    `getElementsByTagName` in interface `Document`

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String namespaceURI,
                                           String localName)

  Specified by:
    `getElementsByTagNameNS` in interface `Document`

### getImplementation

    public DOMImplementation getImplementation()

  Specified by:
    `getImplementation` in interface `Document`

### getInputEncoding

    public String getInputEncoding()

  Specified by:
    `getInputEncoding` in interface `Document`

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  Specified by:
    `getStrictErrorChecking` in interface `Document`

### getXmlEncoding

    public String getXmlEncoding()

  Specified by:
    `getXmlEncoding` in interface `Document`

### getXmlStandalone

    public boolean getXmlStandalone()

  Specified by:
    `getXmlStandalone` in interface `Document`

### getXmlVersion

    public String getXmlVersion()

  Specified by:
    `getXmlVersion` in interface `Document`

### importNode

    public Node importNode(Node importedNode,
                           boolean deep)

  Specified by:
    `importNode` in interface `Document`

### normalizeDocument

    public void normalizeDocument()

  Specified by:
    `normalizeDocument` in interface `Document`

### renameNode

    public Node renameNode(Node n,
                           String namespaceURI,
                           String qualifiedName)

  Specified by:
    `renameNode` in interface `Document`

### setDocumentURI

    public void setDocumentURI(String documentURI)

  Specified by:
    `setDocumentURI` in interface `Document`

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean strictErrorChecking)

  Specified by:
    `setStrictErrorChecking` in interface `Document`

### setXmlStandalone

    public void setXmlStandalone(boolean xmlStandalone)

  Specified by:
    `setXmlStandalone` in interface `Document`

### setXmlVersion

    public void setXmlVersion(String xmlVersion)

  Specified by:
    `setXmlVersion` in interface `Document`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD